Package net.shibboleth.idp.plugin.authn.webauthn.context.logic

# Class IsDiscoverableCredentialRequired

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.context.logic.IsDiscoverableCredentialRequired

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`

public class IsDiscoverableCredentialRequired extends Object implements Predicate<ProfileRequestContext>
A predicate that determines if the authentication ceremony requires a discoverable credential (ResidentKey) supplied by the authenticator, or if we have a username to determine which credentials to use from the IdP.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`IsDiscoverableCredentialRequired()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### IsDiscoverableCredentialRequired

public IsDiscoverableCredentialRequired()

## Method Details

### test

public boolean test(@Nullable ProfileRequestContext input)

Specified by:
  `test` in interface `Predicate<ProfileRequestContext>`